#ifndef _TEST_APP
#define _TEST_APP


#include "ofMain.h"

#include "threadedObject.h"

class testApp : public ofSimpleApp{
	
	public:
		
		void setup();
		void update();
		void draw();
		
		void keyPressed  (int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();
		
		threadedObject TO;
		
		int           mainAppsCount;
};





#endif	
